---
name: "🍳 Recipe Template"
about: "This template helps pre-populate Recipe data so that Maintainers can get started as easily as possible cooking the Recipe you're wishing for. Please fill in as much as possible!"
title: "App Name"
labels:
  - wishlist
---

# App Name

[App Name](https://website-or-sourceode.org) app description goes here...

<!-- metadata -->
* **Category**: Apps
* **Status**: N/A, alpha
* **Image**: [`owner/app-name`](https://hub.docker.com/r/owner/app-name), 2, 3rd-party
* **Healthcheck**: No
* **Backups**: No
* **Email**: No
* **Tests**: No
* **SSO**: N/A
<!-- endmetadata -->

## Basic usage

1. Set up Docker Swarm and [`abra`](https://git.coopcloud.tech/coop-cloud/abra)
2. Deploy [`coop-cloud/recipe-name`](https://git.coopcloud.tech/coop-cloud/recipe-name)
3. `abra app new app-name --secrets` (optionally with `--pass` if you'd like to save secrets in `pass`)
4. `abra app config YOURAPPDOMAIN` - be sure to change `$DOMAIN` to something that resolves to your Docker swarm box
5. `abra app deploy YOURAPPDOMAIN`
6. Open the configured domain in your browser to finish set-up
